/*
 * Copyright (c) 1999 4 Crazy Men All Rights Reserved
 *
 */
package video.affichage;

/**
 * Objet CoordonneesPlayout correspondant a la representation graphique
 * (coordonnees en x et en y)
 * d'une image lors du passage par le buffer de playout
 *     x = le temps de reception (ou d'affichage de l'image)
 *     y = le numero de l'image
 * 
 * @version 0.1 21 Mai 1999
 * @author BONNIN Francis
 * @see FrameDisplay
 * @see StatistiquesPlayout
 */
public class CoordonneesPlayout {

  /** Le temps associe a l'image */
  private long x;

  /** Le numero de l'image*/
  private int y;

  /** Constructeurs de l'objet CoordonneesPlayout
   * @param _x Le temps associe a l'image
   * @param _y le numero de l'image
   */
  public CoordonneesPlayout (long _x, int _y) {
    x = _x;
    y = _y;
  }
		
  /** Permet de connaitre le temps associe a l'image
   * @return le temps associe a l'image
   */
  public long getx() {
    return x;
  }

  /** Permet de connaitre le numero de l'image
   * @return le numero de l'image
   */
  public int gety() {
    return y;
  }
}

