/*
 * Copyright (c) 1999 4 Crazy Men All Rights Reserved
 *
 * Modifications :
 *       17/06/1999 : - quand on doubleclic, ca zoom l'image.
 *                    - affichage d'infos sur le buffer quand on
 *                      clique avec le bouton droit
 *       18/06/1999 : - affichage d'une bordure
 *
 */
package video.affichage;

import video.tools.*;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

/**
 * Simple fenetre d'affichage affichant la video
 * @version 0.1 18 Mai 1999
 * @author BONNIN Francis
 */
public class FenetreVideoConf extends Frame implements MouseListener, Observer{

  /** hauteur de la fenetre  */
  private int haut = 280;

  /** largeur de la fenetre */
  private int larg = 280;


  /** largeur de la fenetre */
  private boolean zoomImage = false;

  /** largeur de la fenetre */
  private boolean afficheMessages = false;


  /** Objet permettant a la  FenetreVideoConf d'etre observable */
  public SimpleObservable application;


  ///** le canvas : la video */
    //private Canvas can;

  /** constructeur
   * @param _can le canvas (avec buffeur de playout)
   */
  public FenetreVideoConf(FrameDisplay _can) {
    _can.application.addObserver(this);
    _can.addMouseListener(this);
    application = new SimpleObservable();
    application.addObserver(_can);
    setSize(haut, larg);
    setLayout(new BorderLayout());
    // add("Center", _can);
    int[] t = {4, 2, 2, 2, 2, 1, 0, 1, 4};
    TYPanel pan = new TYPanel(t); 
    pan.add( _can);
    add("Center", pan);


    setTitle("Video Conference");
    show();
  }


  /** constructeur
   * @param _can le canvas (avec buffeur de playout)
   * @param _haut hauteur de l'image
   * @param _larg largeur de l'image
   */
  public FenetreVideoConf(FrameDisplay _can, int _haut, int _larg) {
    larg = _larg;
    haut = _haut;
    _can.application.addObserver(this);
    _can.addMouseListener(this);
    application = new SimpleObservable();
    application.addObserver(_can);
    setSize(haut, larg);
    setLayout(new BorderLayout());
    //add("Center", _can);

    int[] t = {4, 2, 2, 2, 2, 1, 0, 1, 4};
    TYPanel pan = new TYPanel(t); 
    pan.add( _can);
    add("Center", pan);

    setTitle("Video Conference");
    show();
  }




  public void mouseClicked(MouseEvent e) {

    if ((e.getClickCount() == 2) && ((e.getModifiers() & InputEvent.BUTTON1_MASK) == InputEvent.BUTTON1_MASK)){
      zoomImage = !zoomImage;
      application.notify(new NotifyObject(FrameDisplay.ZOOM_IMAGE,
                                          new Boolean(zoomImage),
                                          this));
    }
    if ((e.getClickCount() == 1) && ((e.getModifiers() & InputEvent.BUTTON3_MASK) == InputEvent.BUTTON3_MASK)){
      afficheMessages = !afficheMessages;
    }
  } 
  public void  mouseEntered(MouseEvent e){
  }
  public void  mouseExited(MouseEvent e){
  }
  public void  mousePressed(MouseEvent e){
  }
  public void  mouseReleased(MouseEvent e){
  }

  /** 
   * Methode qui observe un evenement de type PlayoutMessage
   *
   * @see VideoImage
   */
  public void update(Observable observable, Object o) {
    NotifyObject no = (NotifyObject)o;
    switch (no.type) {
    case FrameDisplay.PLAYOUT_MESSAGE :
      int niv = ((PlayoutMessage)(no.obj)).getLevel();
      String str = ((PlayoutMessage)(no.obj)).getMessage();

      if (afficheMessages){
        switch (niv) {
        case 3 :
          System.out.println(str);
          break;
        }
      }
    }
  }
}
