/*
 * Copyright (c) 1999 4 Crazy Men All Rights Reserved
 *
 */
package video.affichage;

 
/** 
 * Objet InformationPlayout representant une information a envoyer
 * au buffer de playout
 * @version 0.1 19 Mai 1999
 * @author BONNIN Francis
 */
public class InformationPlayout {
  
  
  /** constante representant l'information DELAI_ESTIME (l'info est un long) */
  public static final int DELAI_ESTIME = 0;

  /** constante representant l'information VARIATION_DELAI (l'info est un long) */
  public static final int VARIATION_DELAI = 1;

  /** constante representant l'information INITIALISE_SESSION_VIDEO (l'info est inutilisee) */
  public static final int INITIALISE_SESSION_VIDEO = 2;
  
  /** constante representant l'information COEFFICIENT_VARIATION_DELAI (l'info est un double) */
  public static final int COEFFICIENT_VARIATION_DELAI = 3;

  /** constante representant l'information COEFFICIENT_VARIATION_DELAI (l'info est un boolean) */
  public static final int ZOOM_IMAGE  = 4;

  /** type de l'information */
  private int typeInformation;
  
  /** information elle-meme exprimee en double */
  private long valeurLongInformation;
  
  /** information elle-meme exprimee en long */
  private double valeurDoubleInformation;
  
  /** information elle-meme exprimee en boolean */
  private boolean valeurBooleanInformation;
  
  /** Constructeurs de l'objet InformationPlayout
   * @param _typeInformation type de l'information
   * @param _valeurLongInformation information elle-meme
   */
  public InformationPlayout(int _typeInformation, long _valeurLongInformation) {
    typeInformation = _typeInformation;
    valeurLongInformation = _valeurLongInformation;
  }		

  /** Constructeurs de l'objet InformationPlayout
   * @param _typeInformation type de l'information
   * @param _valeurDoubleInformation information elle-meme
   */
  public InformationPlayout(int _typeInformation, double _valeurDoubleInformation) {
    typeInformation = _typeInformation;
    valeurDoubleInformation = _valeurDoubleInformation;
  }		
	
  /** Constructeurs de l'objet InformationPlayout
   * @param _typeInformation type de l'information
   * @param _valeurBooleanInformation information elle-meme
   */
  public InformationPlayout(int _typeInformation, boolean _valeurBooleanInformation) {
    typeInformation = _typeInformation;
    valeurBooleanInformation = _valeurBooleanInformation;
  }		
	
  /** Permet de connaitre la nature de l'information
   * @return type de l'information
   */
  public int getTypeInfo() {
    return typeInformation;
  }
  
  /** Permet de connaitre l'information elle-meme en long
   * @return information elle-meme en long
   */
  public long getLongInfo() {
    return valeurLongInformation;
  }

  /** Permet de connaitre l'information elle-meme en double
   * @return information elle-meme en double
   */
  public double getDoubleInfo() {
    return valeurDoubleInformation;
  }

  /** Permet de connaitre l'information elle-meme en boolean
   * @return information elle-meme en boolean
   */
  public boolean getBooleanInfo() {
    return valeurBooleanInformation;
  }
}
