/*
 * Copyright (c) 1999 4 Crazy Men All Rights Reserved
 *
 */
package video.affichage;


import java.util.*;

/**
 * Objet StatistiquesPlayout correspondant aux statistiques issues
 * du buffer de playout (sont utilisees pour la representation graphique
 * du fonctionnement du buffer)
 * 
 * @version 0.1 21 Mai 1999
 * @author BONNIN Francis
 * @see FrameDisplay
 * @see CoordonneesPlayout
 */
public class StatistiquesPlayout {

  /** Le maximum en x (temps associe a l'image) */
  private long maxX;

  /** Le maximum en y (Le numero de l'image) */
  private int maxY;

  /** Les coordonnees a la reception (vecteur de CoordonneesPlayout) */
  private Vector statReception;

  /** Les coordonnees a l'affichage (vecteur de CoordonneesPlayout) */
  private Vector statAffichage;

  /** Constructeurs de l'objet StatistiquesPlayout
   * @param _maxX Le temps associe a l'image
   * @param _maxY le numero de l'image
   * @param _statReception Les coordonnees a la reception (vecteur de CoordonneesPlayout)
   * @param _statAffichage Les coordonnees a l'affichage (vecteur de CoordonneesPlayout)
   */
  public StatistiquesPlayout (long _maxX, int _maxY, Vector _statReception, Vector _statAffichage) {
    maxX = _maxX;
    maxY = _maxY;
    statReception = _statReception;
    statAffichage = _statAffichage;
  }
		
  /** Permet de connaitre Le maximum en x (temps associe a l'image)
   * @return Le maximum en x (temps associe a l'image)
   */
  public long getMaxX() {
    return maxX;
  }

  /** Permet de connaitre Le maximum en y (Le numero de l'image)
   * @return Le maximum en y (Le numero de l'image)
   */
  public int getMaxY() {
    return maxY;
  }

  /** Permet de connaitre Les coordonnees a la reception (vecteur de CoordonneesPlayout)
   * @return Les coordonnees a la reception (vecteur de CoordonneesPlayout)
   */
  public Vector getStatReception() {
    return statReception;
  }

  /** Permet de connaitre Les coordonnees a l'affichage (vecteur de CoordonneesPlayout)
   * @return Les coordonnees a l'affichage (vecteur de CoordonneesPlayout)
   */
  public Vector getStatAffichage() {
    return statAffichage;
  }

}

