/*
 * Copyright (c) 1999 4 Crazy Men All Rights Reserved
 *
 * Modifications :
 *       16/06/1999 : - On ferme maintenant explicitement une session video : 
 *                      La derniere image ne contient plus un booleen a true 
 *                      indiquant la fin. Le booleen derniereImage n'existe 
 *                      donc plus
 *
 */
package video.affichage;

import java.awt.image.*;

/**
 * Objet VideoImage representant une nouvelle image video
 * 
 * @version 0.1 18 Mai 1999
 * @author BONNIN Francis
 * @see Afficheur
 */
public class VideoImage {

  /** Le numero de l'image*/
  private int num;

  /** la qualite de l'image */
  private int qualite = 100;

  /** le delai d'attente (frequence d'emission) de l'image*/
  private long delay;

  /** l'image elle-meme */
  private BufferedImage image;

  /** Constructeurs obsolete de l'objet VideoImage
   * @param _image l'image elle-meme
   * @param _num le numero de l'image
   * @param _delay le delai d'attente (frequence d'emission)
   */
  public VideoImage(BufferedImage _image, int _num, long _delay) {
    image = _image;
    num = _num;
    delay = _delay;
  }		

  /** Constructeurs de l'objet VideoImage
   * @param _image l'image elle-meme
   * @param _num le numero de l'image
   * @param _delay le delai d'attente (frequence d'emission)
   * @param _qualite la qualite de l'image
   */
  public VideoImage(BufferedImage _image, int _num, long _delay, int _qualite) {
    image = _image;
    num = _num;
    delay = _delay;
    qualite = _qualite;
  }		
	
  /** Methode de modification de l'objet VideoImage
   * @param _image l'image elle-meme
   * @param _num le numero de l'image
   * @param _delay le delai d'attente (frequence d'emission)
   * @param _qualite la qualite de l'image
   */
  public void modifieImage(BufferedImage _image, int _num, long _delay, int _qualite) {
    image = _image;
    num = _num;
    delay = _delay;
    qualite = _qualite;
  }
	
  /** Permet de connaitre le numero de l'image
   * @return le numero de l'image
   */
  public int getNum() {
    return num;
  }

  /** Permet de connaitre la qualite de l'image
   * @return la qualite de l'image
   */
  public int getQualite() {
    return qualite;
  }
	
  /** Rend la bufferedImage elle meme
   * @return la bufferedImage elle meme
   */
  public BufferedImage getImage() {
    return image;
  }
	
	
  /** Rend le delai d'attente
   * @return le delai d'attente
   */
  public long getDelay() {
    return delay;
  }
}
