/*
 * Copyright (c) 1999 4 Crazy Men, All Rights Reserved
 *
 * 10 05 99
 * Modifications:
 *    0.1.1 28/05/99 Ajout de l'objet observer.
 */
package video.tools;

/**
 * Cette class implante un objet utilisable dans les notify pour les
 * Observer / Observable. On a ici trois valeurs, un int , un object (qui peut
 * etre null) et un autre qui reprsente l'objet qui effectue le notify.
 * Aucun control n'est effectue sur les valeurs, c'est a
 * l'Observeur
 * de traiter les information comme bon lui semble.
 *
 * @version 0.1.1 28 Mai 1999
 * @author PARENTE Jeremy
 */
public class NotifyObject {
  /** type represente le type de l'objet ou n'importe quel information. */
  public int type;
  /** obj un objet. */
  public Object obj;

  /** obs l'objet reelemnt observer. */
  public Object obs;

  public String toString() {
    return "" + obs + " notify [" + type + "]:" + obj;
  }

  /**
   * Constructeur.
   *
   * @param _type le type de l'objet
   * @param _obj l'objet
   * @param _obs l'objet qui est censer etre observer
   */
  public NotifyObject(int _type, Object _obj, Object _obs) {
    type = _type;
    obj = _obj;
    obs = _obs;
  }

  /**
   * Constructeur.
   *
   * @param _type le type de l'objet
   * @param _obj l'objet
   */
  public NotifyObject(int _type, Object _obj) {
    type = _type;
    obj = _obj;
    obs = null;
  }

  /**
   * Constructeur.
   *
   * @param _type le type de l'objet
   */
  public NotifyObject(int _type) {
    type = _type;
    obj = null;
    obs = null;
  }

}


